org.codehaus.plexus.component.discovery

## Interface ComponentDiscovererManager

All Known Implementing Classes:
  DefaultComponentDiscovererManager

    public interface ComponentDiscovererManager

ComponentDiscovererManager is a simple index (registry) of ComponentDiscovers and ComponentDiscoveryListener.

### Method Summary

Methods
`void` `addComponentDiscoverer(ComponentDiscoverer componentDiscoverer)`
`void` `fireComponentDiscoveryEvent(ComponentDiscoveryEvent event)`
`java.util.List<ComponentDiscoverer>` `getComponentDiscoverers()`
`java.util.Map<ComponentDiscoveryListener,java.lang.Object>` `getComponentDiscoveryListeners()`
`void` `registerComponentDiscoveryListener(ComponentDiscoveryListener listener)`
`void` `removeComponentDiscoveryListener(ComponentDiscoveryListener listener)`

### Method Detail

#### addComponentDiscoverer

    void addComponentDiscoverer(ComponentDiscoverer componentDiscoverer)

#### getComponentDiscoverers

    java.util.List<ComponentDiscoverer> getComponentDiscoverers()

#### getComponentDiscoveryListeners

    java.util.Map<ComponentDiscoveryListener,java.lang.Object> getComponentDiscoveryListeners()

#### registerComponentDiscoveryListener

    void registerComponentDiscoveryListener(ComponentDiscoveryListener listener)

#### removeComponentDiscoveryListener

    void removeComponentDiscoveryListener(ComponentDiscoveryListener listener)

#### fireComponentDiscoveryEvent

    void fireComponentDiscoveryEvent(ComponentDiscoveryEvent event)